{
	"format_version" : "1.10.0",
	"animation_controllers" : {
		"controller.animation.hoh_bht.postman_dialogue_foot" : {
			"initial_state" : "default",
			"states" : {
				"default" : {
					"animations" : [ "idle" ],
					"transitions" : [
						{
							"talk_begin" : "query.mark_variant == 1"
						}
					]
				},
				"talk_begin" : {
					"animations" : [ "dialogue_start" ],
					"transitions" : [
						{
							"talk_loop" : "query.all_animations_finished"
						}
					]
				},
				"talk_loop" : {
					"animations" : [ "dialogue_loop" ],
					"transitions" : [
						{
							"give" : "query.mark_variant == 2"
						},
						{
							"default" : "query.mark_variant == 3"
						}
					]
				},
				"give" : {
					"animations" : [ "give" ],
					"transitions" : [
						{
							"trumpet" : "query.all_animations_finished"
						}
					]
				},
				"trumpet" : {
					"animations" : [ "trumpet" ],
					"transitions" : [
						{
							"default" : "query.all_animations_finished"
						}
					]
				}
			}
		},
		"controller.animation.hoh_bht.postman_dialogue_riding" : {
			"initial_state" : "default_riding",
			"states" : {
				"default_riding" : {
					"animations" : [ "sit"],
					"transitions" : [
						{
							"talk_begin_riding" : "query.mark_variant == 1"
						}
					]
				},
				"talk_begin_riding" : {
					"animations" : [ "dialogue_start_riding"],
					"transitions" : [
						{
							"talk_loop_riding" : "query.all_animations_finished"
						}
					]
				},
				"talk_loop_riding" : {
					"animations" : [ "dialogue_loop_riding"],
					"transitions" : [
						{
							"give_riding" : "query.mark_variant == 2"
						},
						{
							"default_riding" : "query.mark_variant == 3"
						}
					]
				},
				"give_riding" : {
					"animations" : [ "give_riding"],
					"transitions" : [
						{
							"trumpet_riding" : "query.all_animations_finished"
						}
					]
				},
				"trumpet_riding" : {
					"animations" : [ "trumpet_riding"],
					"transitions" : [
						{
							"default_riding" : "query.all_animations_finished"
						}
					]
				}
			}
		}
	}
}
